Using Android? click here.

To play Ironfell in a browser you need at
least version 11.2 of the Flash Plugin.
Get the latest Flash plugin here

View all platforms that you can play Ironfell on.